Package com.sun.jna.platform.win32

# Class HighLevelMonitorConfigurationAPI.MC_DISPLAY_TECHNOLOGY_TYPE.ByReference

java.lang.Object
com.sun.jna.PointerType
com.sun.jna.ptr.ByReference
com.sun.jna.platform.win32.HighLevelMonitorConfigurationAPI.MC_DISPLAY_TECHNOLOGY_TYPE.ByReference

All Implemented Interfaces:
  `NativeMapped`

Enclosing class:
  HighLevelMonitorConfigurationAPI.MC_DISPLAY_TECHNOLOGY_TYPE

public static class HighLevelMonitorConfigurationAPI.MC_DISPLAY_TECHNOLOGY_TYPE.ByReference extends ByReference
Defines a Reference to the enum

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ByReference()`
  Create an uninitialized reference
  `ByReference(HighLevelMonitorConfigurationAPI.MC_DISPLAY_TECHNOLOGY_TYPE value)`
  Instantiates a new reference.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `HighLevelMonitorConfigurationAPI.MC_DISPLAY_TECHNOLOGY_TYPE`
  `getValue()`
  Gets the value.
  `void`
  `setValue(HighLevelMonitorConfigurationAPI.MC_DISPLAY_TECHNOLOGY_TYPE value)`
  Sets the value.

  ### Methods inherited from class com.sun.jna.ptr.ByReference

  `toString`

  ### Methods inherited from class com.sun.jna.PointerType

  `equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ByReference

    public ByReference()
    Create an uninitialized reference

  - ### ByReference

    public ByReference(HighLevelMonitorConfigurationAPI.MC_DISPLAY_TECHNOLOGY_TYPE value)
    Instantiates a new reference.
    Parameters:
      `value` - the value

- ## Method Details

  - ### setValue

    public void setValue(HighLevelMonitorConfigurationAPI.MC_DISPLAY_TECHNOLOGY_TYPE value)
    Sets the value.
    Parameters:
      `value` - the new value

  - ### getValue

    public HighLevelMonitorConfigurationAPI.MC_DISPLAY_TECHNOLOGY_TYPE getValue()
    Gets the value.
    Returns:
      the value